
package body Num_PolyRoots is
  
  use NV,NM,PR;
  
  procedure NumRealRoot(F: in out File_Type; Deg: in Positive; WMin,WMax: in Flt; Eps: in Radius) is
    P: Poly(0 .. Deg);
    W: Numeric;
  begin
    Reps.Proper_Rounding;
    Reset(F,In_File);
    Get(F,P);
    NumRealRoot(P,WMin,WMax,W,Eps);
    Reset(F,Out_File);
    Put(F,W);
  end NumRealRoot;
  
  procedure NumRealRoots(F: in out File_Type; Deg: in Positive; WMin,WMax: in Flt; Eps: in Radius) is
    P: Poly(0 .. Deg);
    W: NVector(1 .. Deg);
  begin
    Reps.Proper_Rounding;
    Reset(F,In_File);
    Get(F,P);
    NumRealRoots(P,WMin,WMax,W,Eps);
    Reset(F,Out_File);
    Put(F,W);
  end NumRealRoots;
  
end Num_PolyRoots;
